Bug 1026754 - compat-db shared libraries in /lib instead of /usr/lib
compat-db shared libraries in /lib instead of /usr/lib
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: compat-db (Show other bugs)
7.0
All Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Honza Horak
Alois Mahdal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 06:19 EST by Jan Staněk
Modified: 2014-06-18 03:26 EDT (History)
1 user (show)

See Also:
Fixed In Version: compat-db-4.7.25-25.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:11:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Specfile fix (975 bytes, patch)
2013-11-05 06:19 EST, Jan Staněk
no flags Details | Diff

  None (edit)
Description Jan Staněk 2013-11-05 06:19:06 EST
Created attachment 819660 [details]
Specfile fix

Description of problem:
On RHEL7, there is no longer separate /lib{,64} directory, and all shared libraries should be moved to /usr/lib{,64}.

Version-Release number of selected component (if applicable):
compat-db-4.7.25-22

Additional info:
Actually there is specific if-macro in the spec file that moves the shared libraries to /lib directories. This issue is fixed by simply dropping the macro.
Comment 1 Jan Staněk 2013-11-05 08:01:18 EST
I applied the patch and built the packages.
Comment 3 Alois Mahdal 2014-02-26 12:57:02 EST
Tested in compat-db-4.7.25-25.el7 on all archs / variants.
Comment 4 Ludek Smid 2014-06-13 07:11:03 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.